Ask Your Question
0

Openni_node.launch in Fuerte

asked 2012-08-01 09:05:23 -0500

HITE gravatar image

I have been having the same problem as this post (http://answers.ros.org/question/39814/openni_nodelaunch-not-found/), but when I changed the kinect+rgbdslam.launch file to depend on openni_camera_deprecated, I got this error:

error loading <rosparam> tag: file does not exist [/opt/ros/fuerte/stacks/openni_camera/info/openni_params.yaml] XML is <rosparam command="load" file="$(find openni_camera)/info/openni_params.yaml"/>

What is going wrong? I would greatly appreciate an explanation on how to fix this problem, which occurs when running any Fuerte program that depends on openni_node.launch.

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2012-08-01 19:43:58 -0500

There is a bug in the launch script in the openni_camera_deprecated package. See https://kforge.ros.org/openni/trac/ticket/51

I would recommend taking either of these options

  • Update your code to use the new launch script in the openni_launch stack (or create a subset of this script yourself, as it launches way too many nodelets for my comfort)
  • Download a local copy of the openni_camera_deprecated package in your workspace, and apply the fix mentioned in the bug report.
edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-08-01 09:05:23 -0500

Seen: 453 times

Last updated: Aug 01 '12